Summary:	Patches utilities 
Name:		patchutils
Version:	0.3.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Text tools
URL:		http://cyberelk.net/tim/software/patchutils/
Source0:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Patch0:		patchutils-0.3.1-format_not_a_string_literal_and_no_format_arguments.patch
Patch1:		patchutils-bz1226985.patch
Requires:	patch
Requires:	diffutils
Provides:	interdiff
Obsoletes:	interdiff < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Mar 11 2016 bb <bb> 0.3.4-1pclos2016
- update

* Sat Jul 07 2014 gseaman <galen.seaman at comcast.net> 0.3.3-1gseaman2014
- 0.3.3

* Wed Mar 02 2011 pcserver <pcserver at hush.com> 0.3.2-1pclos2011
- 0.3.2

